Package jakarta.websocket

# Class ClientEndpointConfig.Configurator

java.lang.Object
jakarta.websocket.ClientEndpointConfig.Configurator

Enclosing interface:
  `ClientEndpointConfig`

public static class ClientEndpointConfig.Configurator extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configurator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterResponse(HandshakeResponse handshakeResponse)`
  Provides the client with a mechanism to inspect the handshake response that is returned from the server.
  `void`
  `beforeRequest(Map<String,List<String>> headers)`
  Provides the client with a mechanism to inspect and/or modify the headers that are sent to the server to start the WebSocket handshake.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Configurator

    public Configurator()

- ## Method Details

  - ### beforeRequest

    public void beforeRequest(Map<String,List<String>> headers)
    Provides the client with a mechanism to inspect and/or modify the headers that are sent to the server to start the WebSocket handshake.
    Parameters:
      `headers` - The HTTP headers

  - ### afterResponse

    public void afterResponse(HandshakeResponse handshakeResponse)
    Provides the client with a mechanism to inspect the handshake response that is returned from the server.
    Parameters:
      `handshakeResponse` - The response